#ifndef __ASTEROID_DESTRUCTION__
#define __ASTEROID_DESTRUCTION__

#include <stdlib.h>
#include "Vec3f.h"

#define PI 3.14159265

#define SPEED_MIN 2
#define SPEED_MAX 5

class Asteroid;
class AsteroidsField;
class Material;
class VertexBufferObject;
class BoundingSphere;

class AsteroidDestruction
{
public:
	AsteroidDestruction(	Asteroid* destroyed,
							AsteroidsField* field,
							Material* mat,
							TextureObject* texture);

	virtual ~AsteroidDestruction();

	void render();

	void update();

protected:

	AsteroidsField* field;
	Material* mat;
	TextureObject* texture;

	std::vector<Asteroid*> chunks;

};

#endif __ASTEROID_DESTRUCTION__